import 'package:firebase_messaging/firebase_messaging.dart';
import 'package:wyatt_notification_bloc/src/domain/entities/remote_notifications.dart';

class RemoteNotificationWrapperModel extends RemoteNotificationWrapper {
  @override
  final String? senderId;
  @override
  final String? messageId;
  @override
  final Map<String, dynamic>? data;
  @override
  final DateTime? sentTime;

  const RemoteNotificationWrapperModel({
    this.senderId,
    this.messageId,
    this.data,
    this.sentTime,
  });

  factory RemoteNotificationWrapperModel.fromFirebaseModel(
    RemoteMessage? message,
  ) =>
      RemoteNotificationWrapperModel(
        senderId: message?.senderId,
        messageId: message?.senderId,
        data: message?.data,
        sentTime: message?.sentTime,
      );
}
